# ACE_Hash< ACE_UINT64 > Class Template Reference

Function object for hashing an unsigned 64-bit number. More...

`#include <Functor.h>`

List of all members.

## Public Member Functions

unsigned long | operator() (const ACE_UINT64 &t) const
| Simply returns t.

## Detailed Description

### template<>
class ACE_Hash< ACE_UINT64 >

Function object for hashing an unsigned 64-bit number.

## Member Function Documentation

ACE_INLINE unsigned long ACE_Hash< ACE_UINT64 >::operator() | ( | const ACE_UINT64 & | t | ) | const

| Simply returns t.

The documentation for this class was generated from the following files:

- Functor.h
- Functor.inl